#if !defined(__TEXTURE_H)
#define __TEXTURE_H

class Texture
{
public:
	virtual ~Texture() {}
	virtual void configure(const string &prefix, const string &subKey) = 0;
	virtual void apply(HDC hDC, int x, int y, int width, int height, int imageType) = 0;
	virtual void applyAnim(HDC hDC, int x, int y, int width, int height, int imageType, int count) = 0;
};

#endif
